| TagLib 1.13 |  |

Public Types | Public Member Functions | List of all members
TagLib::ASF::Properties Class Reference

An implementation of ASF audio properties. More...

`#include <asfproperties.h>`

Inheritance diagram for TagLib::ASF::Properties:
[legend]
Collaboration diagram for TagLib::ASF::Properties:
[legend]

## Public Types
enum | Codec { Unknown = 0 , WMA1 , WMA2 , WMA9Pro , WMA9Lossless }
Public Types inherited from TagLib::AudioProperties
enum | ReadStyle { Fast , Average , Accurate }

## Public Member Functions
| Properties ()
virtual | ~Properties ()
virtual TAGLIB_DEPRECATED int | length () const
int | lengthInSeconds () const
int | lengthInMilliseconds () const
virtual int | bitrate () const
virtual int | sampleRate () const
virtual int | channels () const
int | bitsPerSample () const
Codec | codec () const
String | codecName () const
String | codecDescription () const
bool | isEncrypted () const
Public Member Functions inherited from TagLib::AudioProperties
virtual | ~AudioProperties ()
virtual int | length () const =0
int | lengthInSeconds () const
int | lengthInMilliseconds () const
virtual int | bitrate () const =0
virtual int | sampleRate () const =0
virtual int | channels () const =0

## Additional Inherited Members
Protected Member Functions inherited from TagLib::AudioProperties
| AudioProperties (ReadStyle style)

## Detailed Description

An implementation of ASF audio properties.

## Member Enumeration Documentation

## ◆ Codec

enum TagLib::ASF::Properties::Codec

Audio codec types can be used in ASF file.

Enumerator
Unknown | Couldn't detect the codec.
WMA1 | Windows Media Audio 1
WMA2 | Windows Media Audio 2 or above
WMA9Pro | Windows Media Audio 9 Professional
WMA9Lossless | Windows Media Audio 9 Lossless

## Constructor & Destructor Documentation

## ◆ Properties()

TagLib::ASF::Properties::Properties | ( |  | ) |

Creates an instance of ASF::Properties.

## ◆ ~Properties()

virtual TagLib::ASF::Properties::~Properties | ( |  | ) |
| virtual

Destroys this ASF::Properties instance.

## Member Function Documentation

## ◆ bitrate()

virtual int TagLib::ASF::Properties::bitrate | ( |  | ) | const
| virtual

Returns the average bit rate of the file in kb/s.

Implements TagLib::AudioProperties.

## ◆ bitsPerSample()

int TagLib::ASF::Properties::bitsPerSample | ( |  | ) | const

Returns the number of bits per audio sample.

## ◆ channels()

virtual int TagLib::ASF::Properties::channels | ( |  | ) | const
| virtual

Returns the number of audio channels.

Implements TagLib::AudioProperties.

## ◆ codec()

Codec TagLib::ASF::Properties::codec | ( |  | ) | const

Returns the codec used in the file.

See also
  codecName()
  codecDescription()

## ◆ codecDescription()

String TagLib::ASF::Properties::codecDescription | ( |  | ) | const

Returns the codec description, typically contains the encoder settings, for example "VBR Quality 50, 44kHz, stereo 1-pass VBR" if available, otherwise an empty string.

See also
  codec()
  codecName()

## ◆ codecName()

String TagLib::ASF::Properties::codecName | ( |  | ) | const

Returns the concrete codec name, for example "Windows Media Audio 9.1" used in the file if available, otherwise an empty string.

See also
  codec()
  codecDescription()

## ◆ isEncrypted()

bool TagLib::ASF::Properties::isEncrypted | ( |  | ) | const

Returns whether or not the file is encrypted.

## ◆ length()

virtual TAGLIB_DEPRECATED int TagLib::ASF::Properties::length | ( |  | ) | const
| virtual

Returns the length of the file in seconds. The length is rounded down to the nearest whole second.

Note
  This method is just an alias of lengthInSeconds().

Deprecated:
  Use lengthInSeconds().

Implements TagLib::AudioProperties.

## ◆ lengthInMilliseconds()

int TagLib::ASF::Properties::lengthInMilliseconds | ( |  | ) | const

Returns the length of the file in milliseconds.

See also
  lengthInSeconds()

## ◆ lengthInSeconds()

int TagLib::ASF::Properties::lengthInSeconds | ( |  | ) | const

Returns the length of the file in seconds. The length is rounded down to the nearest whole second.

See also
  lengthInMilliseconds()

## ◆ sampleRate()

virtual int TagLib::ASF::Properties::sampleRate | ( |  | ) | const
| virtual

Returns the sample rate in Hz.

Implements TagLib::AudioProperties.

The documentation for this class was generated from the following file:

- asfproperties.h